---
- name: Template auf Proxmox erstellen
  hosts: proxmox
  become: true
  become_method: sudo
  become_user: root
  vars_files:
    - vars.yml
    - vault.yml
  tags: 
    - komplete-installation
    - template-erstellen
  roles:
    - proxmox-template

- name: Ubuntu Gitlab VM erstellen
  hosts: proxmox
  become: true
  become_method: sudo
  become_user: root
  vars_files:
    - vars.yml
    - vault.yml
  tags: 
    - komplete-installation
    - vm-erstellen
  roles:
    - proxmox-vm

- name: Installation von GitLab auf der VM
  hosts: gitlab
  become: true
  become_method: sudo
  become_user: root
  vars_files:
    - vars.yml
    - vault.yml
  tags: 
    - komplete-installation
    - gitlab-installation
  roles:
    - gitlab-install

- name: Ubuntu Gitlab LXC Container
  hosts: proxmox
  become: true
  become_method: sudo
  become_user: root
  vars_files:
    - vars.yml
    - vault.yml
  tags: 
    - komplete-installation
    - lxc-erstellen
    - gitlab-runner-installation
  roles:
    - proxmox-lxc

- name: Installation GitLab-Runner im LXC Container
  hosts: gitlab-runner
  become: true
  vars_files:
    - vars.yml
    - vault.yml
  tags: 
    - komplete-installation
    - gitlab-runner-installation
  roles:
    - gitlab-runner-install

- name: Update GitLab
  hosts: gitlab
  become: true
  become_method: sudo
  become_user: root
  vars_files:
    - vars.yml
    - vault.yml
  tags: 
    - gitlab-update
  roles:
    - gitlab-update